main {
    font-family: var(--Dot);
    background-color: #E2F0F2;
    padding-bottom: 5rem;
}

.sec_flex {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-bottom: 3.5rem;
    padding-top: 5rem;
}

.sec_title {
    font-size: 3.2rem;
    font-weight: 400;
}

.sec_img {
    width: 3.5rem;
    object-fit: contain;
    margin-right: 1rem;
}

/* 枠組み */
.sec_border {
    background-color: var(--white);
    padding: 20px;
    padding-bottom: 6rem;
    width: 110rem;
    max-width: 1100px;
    margin: 0 auto;
    position: relative;
    border-left: solid .6rem var(--blue);
    border-right: solid .6rem var(--blue);
    margin-bottom: 5.1rem;
}

.sec_border::after {
    content: "";
    background-image: url(../img/border_dot.png);
    background-repeat: no-repeat;
    position: absolute;
    top: -1.9rem;
    left: 0;
    width: 100%;
    height: 2.1rem;
    background-size: contain;
}

.sec_border::before {
    content: "";
    background-image: url(../img/border_dot.png);
    background-repeat: no-repeat;
    position: absolute;
    bottom: -1.9rem;
    left: 0;
    width: 100%;
    height: 2.1rem;
    background-size: contain;
    transform: rotateX(180deg);
}

@media screen and (min-width: 1500px) {
    .sec_border::after {
        top: -1.3rem;
    }

    .sec_border::before {
        bottom: -1.3rem;
    }
}


.archive_flex {
    display: flex;
    gap: 5rem 0;
    flex-wrap: wrap;
    justify-content: space-between;
}

.archive_arrow_area {
    display: flex;
    justify-content: space-between;
}




.archive_img,
.wp-post-image {
    height: 186px;
    object-fit: cover;
    width: 100%;
    max-width: 330px;
}

.news_area {
    max-width: 330px;
    width: 33rem;
    display: flex;
    flex-direction: column;
}

.blinking_arrow {
    text-align: right;
    height: max-content;
    line-height: 1;
}

.blinking_arrow span {
    display: inline-block;
    font-size: 1.7rem;
    animation: blink 1.3s infinite;
    color: var(--blue);
}


@keyframes blink {

    0%,
    49% {
        opacity: 1;
    }

    50%,
    99% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.time_cat_text {
    display: flex;
    align-items: center;
    margin-bottom: 0.5rem;
    margin-top: 1rem;
}

.cat_text {
    background-color: #F9E583;
    border: solid 1px var(--blue);
    border-radius: 1rem;
    padding: 0.1rem 0.4rem;
    margin-left: 1rem;
}

.archive_title {
    font-size: clamp(15px, 2rem, 20px);
}

.archive_time {
    font-size: clamp(15px, 2rem, 20px);
}




/* ページネーション全体 */
.nav-links {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1.5rem;
    margin-top: 8rem;
}

/* 数字・前へ・次へ共通 */
.page-numbers {
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    color: var(--blue);
    font-size: clamp(15px, 2rem, 20px);
    font-weight: 500;
    background: url("../img/archive_button.svg") center / contain no-repeat;
}

/* 現在のページ */
.page-numbers.current {
    color: var(--blue);
    background: var(--blue);
    border-radius: 50%;
}

/* 前へ・次へ */
.page-numbers.prev,
.page-numbers.next {
    width: auto;
    padding: 0 1rem;
    background: none;
    font-size: 1.8rem;
}

.pagination a.page-numbers,
.pagination .current {
    background: url("../img/archive_button.svg") center / contain no-repeat;
    background-size: contain;
    color: var(--blue);
    width: 6rem;
    height: 6rem;
}

@media screen and (max-width: 699.98px) {
    .archive_flex {
        width: 33.5rem;
    }

    .sec_border {
        width: 33.5rem;
        padding: 3rem 1.2rem 5rem;
        border-left: solid .2rem var(--blue);
        border-right: solid .2rem var(--blue);
        justify-content: center;
        gap: 2.5rem 0;
        margin-bottom: 3rem;
    }


    .sec_border::after {
        top: -0.5rem;
    }

    .sec_border::before {
        bottom: -0.5rem;
    }

    .archive_img {
        height: 16.9rem;
    }

    .cat_text {
        padding: .2rem 1.4rem;
        font-size: 1.3rem;
    }

    .archive_arrow_area {
        align-items: end;
    }

    .nav-links {
        margin-top: 3rem;
    }

    .pagination a.page-numbers,
    .pagination .current {
        width: 4.5rem;
        height: 4.5rem;
    }

}